package com.mortals.xhx.module.matter.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:MatterAccept
* date: 2021-9-17 15:55:12
*/
public class MatterAcceptEntity extends MatterAcceptEntityExt{
    private static final long serialVersionUID = 1631865312220L;


    /**
    * 基础事项表matter id
    */
    private Long matterId;

    /**
    * 模板标题
    */
    private String title;

    /**
    * 申请条件
    */
    private String content;

    /**
    * 事项来源，0：政务网，1：自定义，默认0
    */
    private Integer source;

    /**
    * 变更时间
    */
    private Date updateTime;

    /**
    * 变更用户loginName
    */
    private String updateUser;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户loginName
    */
    private String createUser;

    public MatterAcceptEntity(){

    }
    /**
    * 获取 基础事项表matter id
    * @return matterId
    */
    public Long getMatterId() {
        return this.matterId;
    }
    /**
    * 设置 基础事项表matter id
    * @param matterId
    */
    public void setMatterId(Long matterId) {
        this.matterId = matterId;
    }
    /**
    * 获取 模板标题
    * @return title
    */
    public String getTitle() {
        return this.title;
    }
    /**
    * 设置 模板标题
    * @param title
    */
    public void setTitle(String title) {
        this.title = title;
    }
    /**
    * 获取 申请条件
    * @return content
    */
    public String getContent() {
        return this.content;
    }
    /**
    * 设置 申请条件
    * @param content
    */
    public void setContent(String content) {
        this.content = content;
    }
    /**
    * 获取 事项来源，0：政务网，1：自定义，默认0
    * @return source
    */
    public Integer getSource() {
        return this.source;
    }
    /**
    * 设置 事项来源，0：政务网，1：自定义，默认0
    * @param source
    */
    public void setSource(Integer source) {
        this.source = source;
    }
    /**
    * 获取 变更时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 变更时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUser
    */
    public String getUpdateUser() {
        return this.updateUser;
    }
    /**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户loginName
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户loginName
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof MatterAcceptEntity) {
            MatterAcceptEntity tmp = (MatterAcceptEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",matterId:").append(getMatterId())
                .append(",title:").append(getTitle())
                .append(",content:").append(getContent())
                .append(",source:").append(getSource())
                .append(",updateTime:").append(getUpdateTime())
                .append(",updateUser:").append(getUpdateUser())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.matterId = null;
         this.title = null;
         this.content = null;
         this.source = null;
         this.updateTime = null;
         this.updateUser = null;
         this.createTime = null;
         this.createUser = null;
    }
}